Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression
Class ExpressionVariable

    java.lang.Object
      org.springframework.binding.expression.ExpressionVariable

    public class ExpressionVariable

extends java.lang.Object

An expression variable.

Author:
  Keith Donald

Constructor Summary
`ExpressionVariable(java.lang.String name, java.lang.String valueExpression)` Creates a new expression variable.
`ExpressionVariable(java.lang.String name, java.lang.String valueExpression, ParserContext parserContext)` Creates a new expression variable with a populated parser context.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()` Returns the variable name.
`ParserContext` | `getParserContext()` Returns the parser context to use to parse the variable's value expression.
`java.lang.String` | `getValueExpression()` Returns the expression that will be evaluated when the variable is referenced by its name in another expression.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionVariable

    public ExpressionVariable(java.lang.String name,
                              java.lang.String valueExpression)

  Creates a new expression variable.

  Parameters:
    `name` - the name of the variable, acting as an convenient alias (required)
    `valueExpression` - the value expression (required)

### ExpressionVariable

    public ExpressionVariable(java.lang.String name,
                              java.lang.String valueExpression,
                              ParserContext parserContext)

  Creates a new expression variable with a populated parser context.

  Parameters:
    `name` - the name of the variable, acting as an convenient alias (required)
    `valueExpression` - the value expression (required)
    `parserContext` - the parser context to use to parse the value expression (optional)

Method Detail

### getName

    public java.lang.String getName()

  Returns the variable name.

  Returns:
    the variable name

### getValueExpression

    public java.lang.String getValueExpression()

  Returns the expression that will be evaluated when the variable is referenced by its name in another expression.

  Returns:
    the expression value.

### getParserContext

    public ParserContext getParserContext()

  Returns the parser context to use to parse the variable's value expression.

  Returns:
    the value expression parser context

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD